#
# spec file for package mate-netspeed
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.10
Name:           mate-netspeed
Version:        1.10.2
Release:        4.2
Summary:        MATE Desktop window management tool
License:        GPL-2.0
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  libxml2-python
BuildRequires:  mate-common >= 1.9.0
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= 1.9.0
BuildRequires:  pkgconfig(mate-desktop-2.0) >= 1.9.0
Requires:       hicolor-icon-theme
Requires:       mate-panel >= 1.9.0
Recommends:     %{name}-lang = %{version}
%glib2_gsettings_schema_requires

%description
This package provides a simple window management tool which
provides the following functionality:
 * Allow to set basic rules for window types.
 * Allow exceptions to the rules based on string matching for
   window name and window class.
 * Allows reversing of rules when the user manually changes
   something.
 * Re-decorates windows on un-maximize.

%lang_package

%prep
%setup -q

%build
%configure \
  --libexecdir=%{_libexecdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS
%{_libexecdir}/%{name}/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/%{name}-applet/
%{_datadir}/icons/hicolor/*/*/*
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/org.mate.panel.NetspeedApplet.mate-panel-applet
%dir %{_datadir}/mate-panel/ui/
%{_datadir}/mate-panel/ui/netspeed-menu.xml

%files lang -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/help/
%exclude %{_datadir}/help/C/

%changelog
* Tue Jul 21 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Some help fixes.
  * Add option to show/hide signal quality icon for wireless
    devices.
* Fri Jun 26 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Reintroduced missing help.
  * Use uppercase prefix (Mb) when showing speed in megabits.
  * Other small bugfixes.
* Wed May  6 2015 sor.alexei@meowr.ru
- Update to 1.10.0:
  * Update translations.
- Spec cleanup.
* Thu Jan 22 2015 p.drouand@gmail.com
- Update to version 1.9.1
  * Bug fixes release
* Mon Dec  8 2014 p.drouand@gmail.com
- Remove obsolete "--disable-scrollkeeper" option
- Add requirement to pkgconfig(mate-desktop-2.0); new dependency
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0
  + Add GTK3 support
  + Network load graph made similar to system monitor graphs
- Fix version requirements
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Thu Feb 20 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + Use yelp-tools instead of mate-doc-utils
  + Add an option to hide icon
  + Add an option to use short units
- Replace mate-doc-utils requirement with yelp-tools
* Wed Dec 18 2013 p.drouand@gmail.com
- mate-netspeed in licensed under GPLv2; change license in spec
* Wed Apr  3 2013 p.drouand@gmail.com
- Update to version 1.6.0
  + update translations
* Sat Mar 23 2013 p.drouand@gmail.com
- Update to version 1.5.2
  + Remove MateConf convert file
    Applets have dynamic GSettings paths, so this is not needed
- Do not export anymore LDFLAGS; now include in release
- MateConf GSettings convert files have been removed from upstream
* Sat Feb 23 2013 p.drouand@gmail.com
- Update to version 1.5.1:
  * Use more common icons for in/out speeds
  * AC_CONFIG_HEADERS to please automake 1.13
  * Add -lm to LDADD
    Closes https://github.com/mate-desktop/mate-netspeed/issues/7
* Sun Dec  2 2012 nmo.marques@gmail.com
- Fix broken dependency to allow build in 12.1
* Sat Dec  1 2012 nmo.marques@gmail.com
- Initial package
